Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003667opensim[REGION] OpenSim Corepublic2009-05-17 04:242012-01-08 15:06
ReporterAkira 
Assigned ToBlueWall 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Versionmaster (dev code) 
Summary0003667: Landing Point not honored when teleporting
DescriptionThe landing point only works if i login directly to a specific region, where a landing point is set.

- Double click on the map teleports to the specific location on the map -> landing point not honored
- Double click in the estate name in the map view teleports to 128/128/0 -> landing point not honored


Setup tested:
    1 Sim -> 1 Region -> 1 Estate
    1 Sim -> x Region each only 1 Estate

Viewers tested:
  Linden Lab viewer: current version ( mac osx )
  Hippo Viewer: 0.4.x ( mac osx )
  Emerald Viewer: current version ( mac osx )


Setup in Second Life:
   Double click on map -> Landing Point honored
   Dobble click on estate name -> Landing point honored

Viewer used in Second Life
   LL Viewer Release Candidate ( mac osx )
Tagsteleport
Git Revision or version number
Run Mode Grid (1 Region per Sim) , Grid (Multiple Regions per Sim)
Physics EngineODE
EnvironmentMono / Linux32
Mono Version2.10
Viewer
Attached Files

- Relationships

-  Notes
(0019143)
makopoppo (manager)
2011-07-27 05:24

This issue still exists in current OpenSim 0.7.2-dev (I confirmed some 0.7.1-dev regions in OSGrid). You can reproduce this by simple teleporting using landmark.
(0020649)
LaniGlobal (reporter)
2012-01-08 04:52

Teleport Routing: Landing Point.
FAIL as of 2012 JAN 08 testing.
This is a very useful feature, much desired by many users of opensim.
(0020650)
BlueWall (administrator)
2012-01-08 15:06

Fixed in commit: 266167f5a390e089f7f79d73bdaad4c853d04daa

- Issue History
Date Modified Username Field Change
2009-05-17 04:24 Akira New Issue
2009-05-17 04:24 Akira SVN Revision => 9561
2009-05-17 04:24 Akira Run Mode => Grid (1 Region per Sim) , Grid (Multiple Regions per Sim)
2009-05-17 04:24 Akira Physics Engine => ODE
2009-05-17 04:24 Akira Environment => Mono / Linux32
2009-05-17 04:24 Akira Mono Version => Other
2009-05-17 04:25 Akira Tag Attached: teleport
2011-07-27 05:24 makopoppo Note Added: 0019143
2011-07-27 05:24 makopoppo Status new => confirmed
2012-01-08 04:52 LaniGlobal Note Added: 0020649
2012-01-08 15:05 BlueWall Assigned To => BlueWall
2012-01-08 15:05 BlueWall Status confirmed => assigned
2012-01-08 15:06 BlueWall Mono Version Other => 2.10
2012-01-08 15:06 BlueWall Note Added: 0020650
2012-01-08 15:06 BlueWall Status assigned => resolved
2012-01-08 15:06 BlueWall Fixed in Version => master (dev code)
2012-01-08 15:06 BlueWall Resolution open => fixed
2012-01-08 15:06 BlueWall Status resolved => closed


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker